Get Lineage Group Detail
GET
/v1/portal/lineage/groups/{group_path}
const url = 'https://example.com/v1/portal/lineage/groups/example?limit=50&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/lineage/groups/example?limit=50&tenant_id='Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”group_path
required
Group Path
string
Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalGraphGroupDetailOut
object
group_urn
required
Group Urn
string
group_path
Group Path
string
projects
Projects
Array<string>
repos
Repos
Array<string>
catalog
Catalog
Array<string>
workspaces
Workspaces
Array<string>
datasets
Datasets
Array<string>
stacks
Stacks
Array<string>
secrets
Secrets
Array<string>
packages
Packages
Array<string>
service_cells
Service Cells
Array<string>
design_chipsets
Design Chipsets
Array<string>
Example
{ "group_path": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}